REMOVE(3) | Library Functions Manual | REMOVE(3)

# NAME

`remove` — remove directory entry

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdio.h>`

int
`remove`(const char *path);

# DESCRIPTION

The `remove`() function removes the file or directory specified by path.

If path specifies a directory, `remove`(path) is the equivalent of `rmdir`(path). Otherwise, it is the equivalent of `unlink`(path).

# RETURN VALUES

Upon successful completion, `remove`() returns 0. Otherwise, -1 is returned and the global variable errno is set to indicate the error.

# ERRORS

The `remove`() function may fail and set errno for any of the errors specified for the routines rmdir(2) or unlink(2).

# SEE ALSO

rmdir(2), unlink(2), symlink(7)

# STANDARDS

The `remove`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

June 4, 1993 | NetBSD 11.0